Subject: Re: [PATCH net-next] xsk: Enable shared umem support.

From: William Tu <[email-masked]>
Date: Wed, 6 Nov 2019 09:38:12 -0800

On Wed, Nov 06, 2019 at 05:53:09PM +0100, Magnus Karlsson wrote:
> On Wed, Nov 6, 2019 at 12:41 AM William Tu <[email-masked]> wrote:
> >
> > Currently the shared umem feature is not supported in libbpf.
> > The patch removes the refcount check in libbpf to enable use of
> > shared umem.  Also, a umem can be shared by multiple netdevs,
> > so remove the checking at xsk_bind.
> 
> Hi William,
> 
> I do have a five part patch set sitting on the shelf that implements
> this as well as a sample, added documentation and support for Rx-only
> and Tx-only sockets. Let me just rebase it, retest it then submit it
> to the list and you can see what you think of it. It is along the
> lines of what you are suggesting here. I am travelling at the moment,
> so this might not happen until tomorrow.
> 
> Structure of the patch set that I will submit:
> 
> Patch 1: Adds shared umem support to libbpf
> Patch 2: Shared umem support and example XPD program added to xdpsock sample
> Patch 3: Adds Rx-only and Tx-only support to libbpf
> Patch 4: Uses Rx-only sockets for rxdrop and Tx-only sockets for txpush in
>          the xdpsock sample
> Patch 5: Add documentation entries for these two features
> 
Hi Magnus,

Thank you. I will wait for your patch set.

William